## org.apache.mahout.math.hadoop
Class TransposeJob.MergeVectorsCombiner

    java.lang.Object
      org.apache.hadoop.mapred.MapReduceBase
          org.apache.mahout.math.hadoop.TransposeJob.MergeVectorsCombiner

All Implemented Interfaces:
  Closeable, org.apache.hadoop.mapred.JobConfigurable, org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.WritableComparable<?>,VectorWritable>

Enclosing class:
  TransposeJob

    public static class TransposeJob.MergeVectorsCombiner

extends org.apache.hadoop.mapred.MapReduceBase
implements org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.WritableComparable<?>,VectorWritable>

Constructor Summary
`TransposeJob.MergeVectorsCombiner()`

Method Summary
`void` `reduce(org.apache.hadoop.io.WritableComparable<?> key, Iterator<VectorWritable> vectors, org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.WritableComparable<?>,VectorWritable> out, org.apache.hadoop.mapred.Reporter reporter)`

Methods inherited from class org.apache.hadoop.mapred.MapReduceBase
`close, configure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.hadoop.mapred.JobConfigurable
`configure`

Methods inherited from interface java.io.Closeable
`close`

Constructor Detail

### TransposeJob.MergeVectorsCombiner

    public TransposeJob.MergeVectorsCombiner()

Method Detail

### reduce

    public void reduce(org.apache.hadoop.io.WritableComparable<?> key,
                       Iterator<VectorWritable> vectors,
                       org.apache.hadoop.mapred.OutputCollector<org.apache.hadoop.io.WritableComparable<?>,VectorWritable> out,
                       org.apache.hadoop.mapred.Reporter reporter)
                throws IOException

  Specified by:
    `reduce` in interface `org.apache.hadoop.mapred.Reducer<org.apache.hadoop.io.WritableComparable<?>,VectorWritable,org.apache.hadoop.io.WritableComparable<?>,VectorWritable>`
  Throws:
    `IOException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.